﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Biz.Location.Dto
{
    public class LocationInfo
    {
        public string LocationId { get; set; } = default!;
        public string DeviceId { get; set; } = default!;
        public string SerialNo { get; set; } = default!;
        public DateTime? UtcDate { get; set; }
        public DateTime? LastUpdate { get; set; }
        public bool? IsStop { get; set; }
        public int Speed { get; set; }
        public int Course { get; set; }
        public string Address { get; set; } = default!;
        public int LocationType { get; set; }
        public decimal OLat { get; set; }
        public decimal OLng { get; set; }
        public decimal BaiduLat { get; set; }
        public decimal BaiduLng { get; set; }
        public decimal GLat { get; set; }
        public decimal GLng { get; set; }
        /// <summary>
        /// 目前用于存储定位有效半径
        /// </summary>
        public string DeviceStatus { get; set; } = default!;
        /// <summary>
        /// 目前用于存储定位城市行政编码
        /// </summary>
        public string Remarks { get; set; } = default!;
        public string IDNumber { get; set; } = "";
        public int IDType { get; set; } = 0;
        public string Postcode { get; set; } = default!;
        /// <summary>
        /// 是否为被纠正定位
        /// </summary>
        public bool IsRedressed { get; set; }
        /// <summary>
        /// 序列化参数的哈希值
        /// </summary>
        public string HashParam { get; set; } = default!;
        /// <summary>
        /// 省名
        /// </summary>
        public string Province { get; set; } = default!;
        /// <summary>
        /// 市名
        /// </summary>
        public string City { get; set; } = default!;
        /// <summary>
        /// 区县名
        /// </summary>
        public string District { get; set; } = default!;
    }
}
