﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.MqProducer.Model
{
    /// <summary>
    /// 数据类型，标识发布到kafka的消息的数据类型
    /// </summary>
    public enum MqDataType : int
    {
        /// <summary>
        /// 报警消息
        /// </summary>
        AlarmInfo = 0,

        /// <summary>
        /// 温度数据信息
        /// </summary>
        TemperatureInfo = 1,

        /// <summary>
        /// 步数信息
        /// </summary>
        StepInfo = 2,

        /// <summary>
        /// 电量信息
        /// </summary>
        BatteryLevelInfo = 3,

        /// <summary>
        /// 设备配置信息
        /// </summary>
        DeviceConfigInfo = 4,

        /// <summary>
        /// 设备通话记录
        /// </summary>
        DeviceCallLog = 5,

        /// <summary>
        /// 设备短信记录
        /// </summary>
        DeviceSmsLog = 6,

        /// <summary>
        /// 位置信息
        /// </summary>
        PositionInfo = 7,

        /// <summary>
        /// 支付
        /// </summary>
        PayInfo = 8,

        /// <summary>
        /// 设备状态（offline，online）
        /// </summary>
        Status = 9,

        /// <summary>
        /// 设备激活状态（激活1，未激活0）
        /// </summary>
        Active = 10,

        /// <summary>
        /// Iot服务反馈
        /// </summary>
        Reply = 11,

        /// <summary>
        /// 天气查询
        /// </summary>
        Weather = 12,

        /// <summary>
        /// 短信阅读事件
        /// </summary>
        ReadMsg = 13,

        /// <summary>
        /// 学习能力状态上报事件
        /// </summary>
        StudyAINotifyStatusUpload = 14,

        /// <summary>
        /// 心率信息
        /// </summary>
        HeartRateInfo = 15,

        /// <summary>
        /// 血氧信息
        /// </summary>
        Spo2Info = 16,

        /// <summary>
		/// 周期性温度数据信息
		/// </summary>
		Temperature1Info = 17,

        /// <summary>
        /// 周期性心率信息
        /// </summary>
        HeartRate1Info = 18,

        /// <summary>
        /// 周期性血氧信息
        /// </summary>
        Spo21Info = 19,

        /// <summary>
        /// 溺水状态信息
        /// </summary>
        DrownReportInfo = 20,

        /// <summary>
        /// 手表佩状态信息
        /// </summary>
        WearStatusInfo = 21,

        /// <summary>
        /// 血压信息
        /// </summary>
        BloodPressInfo = 22,

        /// <summary>
        /// 周期性血压信息
        /// </summary>
        BloodPress1Info = 23,

        /// <summary>
        /// 越界上报
        /// </summary>
        CrossBorderInfo = 26,

        /// <summary>
        /// 运动数据上报
        /// </summary>
        SportResultInfo = 27,

        /// <summary>
        /// 上报日志
        /// </summary>
        LogsInfo = 28,

        /// <summary>
        /// IOT位置信息
        /// </summary>
        IotPositionInfo = 107,

    }
}
